- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes
refcounted.h File Reference

Declares the RefCountedPointer template. More...

`#include <memory>`
`#include <stddef.h>`

Go to the source code of this file.

## Classes
struct | mysqlpp::RefCountedPointerDestroyer< T >
| Functor to call delete on the pointer you pass to it. More...
class | mysqlpp::RefCountedPointer< T, Destroyer >
| Creates an object that acts as a reference-counted pointer to another object. More...

## Detailed Description

Declares the RefCountedPointer template.